Subject: [PATCH 01/15] watchdog: orion: Remove unneeded BRIDGE_CAUSE clear

From: [email-masked] (Jason Gunthorpe)
Date: Tue, 27 Aug 2013 16:25:32 -0600

On Tue, Aug 27, 2013 at 07:17:29PM -0300, Ezequiel Garcia wrote:

> The problem is: how do we handle the reset out enable in the watchdog
> driver, while removing the hard-coded register (and hence the mach-header)
> *at the same* time?
> 
> Should we return to the previously proposed idea of putting that
> in the reg property? IOW:
> 
>   watchdog {
>     reg = <timer control>, <rstout>;
>   };
> 
> If we *must* access the rstout register from the watchdog driver,
> and we *cannot* have any mach-xxx headers to find base addresses,
> then the only valid solution is to pass this information from the DT.

Makes sense to me..

I think the need for strong ordering between the timer control and the
rstout registers trumps other considerations.

Ditto for the interrupt, specify the interrupt in the DT, and request
it in the driver. Ensure that the irq driver clears the cause register
bit for an interrupt before attaching an irq (this is fairly standard
irq practice).

Jason